Subject: [nmrg] Notes of the NMRG meeting @ IM 2017, May 11th 2017

From: Lisandro Zambenedetti Granville <[email-masked]>
Date: Fri, 12 May 2017 22:58:30 +0100

Dear NMRG subscribers,

Please find below the notes from the NMRG meeting at IM 2017.

Best regards,

Laurent and Lisandro

-------------------------------------------------------------

NMRG meeting @ IM 2017

May 11th 2017
Room Milão I - 12:30 ~ 14:00

Attendees: 
- Marc-Olivier Pahl, TUM
- Joe Betes, Aerospace
- Mohamed Faten Zhani, ÉTS Montreal
- Imen Grida Benyahia, Orange
- Roberto Riggio, CREATE-NET
- Alexander Clemm, Huawei
- Atay Ozgovde, Galatasaray Univ.
- Laurent Ciavaglia, Nokia - Bell labs
- Lisandro Zambenedetti Granville, UFRGS
- (remote) Ali Hamidian, Huawei

---

. Laurent mentions two initial working topics, to discuss:
 - Intent-Based Networking (IBN)
 - Autonomic networking (AN)

...

. Alex
 - A position document, to put the concepts of IBN, PBNM (policy-based
   network management), and service management in perspective, is important
   to clarify these concepts and their relationship with each other

. Imen
 - What’s the requirements to realize IBN?
 - What’s the relationship with autonomic management?
 - A second outcome should be so to address these two questions too 

. Atay - Examples of IBN would be beneficial to clarify the concept

. Roberto - E.g., a taxonomy of intents

. Laurent - Take into account that the SCOPE of IBN is sensitive because 
   it can be either too broad (and people can get lost) or too narrow (which
   addresses too specific details)
. Alex - Refer to the classical data model x information model NMRG RFC as an
   example of a good outcome that put, in the past, concepts in perspective
   with each other
. Faten - Clarifications are important because different terms (possibly from
   different communities) would be map to terms that an NMRG outcome should
   define/consolidate
. Several people/Imen - The “requirements” document should include also open 
   questions and research challenges on IBN

. So far, 2 outcomes are then expected: 
 - 1 document for clarifying IBN/PBNM/Serv.Mgmt./AN
 - 1 document for IBN requirements, open questions, and research challenges

...

. Laurent/Alex/Lisandro - We need autonomics "beyond and above ANIMA” 
 - 3rd outcome, to report on the autonomics landscape

. Marc-Olivier/several - How AN relates to IoT, for example? That leads to the
 observation (Laurent) that a 4th document is important, in the future,

 addressing a study of the applicability of autonomic networking

 specifications to constrained environments.

...

Action points:
. Alex will take the first step towards the “Concepts” outcome

. Imen will take the first step towards the “Requirements” outcome

. Laurent will take the first step towards the “revised RFC 7575 7576”/“beyond
 and above ANIMA” outcome

---

Additional future topics to be considered in next NMRG interactions:
- Laurent - Management of virtualized infrastructures
- Roberto - Lightweight solution for the management and orchestration of
           distributed infrastructures (e.g.,MANO)
 . Imen - Orchestrators’ requirements and management functions “placement"
- Laurent - Network slicing
- Imen - Management of hybrid (virtualized and non virtualized) networks

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Sat, 13 May 2017 10:01:20 +0200

> Please find below the notes from the NMRG meeting at IM 2017.

[...]
 
>    to clarify these concepts and their relationship with each other

I always assumed so far that IBN (intent based networking) is just a
new name for old concepts. The IETF has gone through some discussions
on this during the creation of the SUPA working group. There is not
much left in the actual charter text but clearly there was lots of
discussions during the chartering phase. The SUPA charter still
contains this:

  Declarative policies that specify the goals to achieve but not how
  to achieve those goals (also called "intent-based" policies) are out
  of scope for the initial phase of SUPA but may be considered in
  future phases of SUPA.

I guess some of the confusion stems from people assuming policy-based
management is tightly associated with event-condition-action rules
(e.g., <https://en.wikipedia.org/wiki/Policy-based_management>) while
there has been lots of research work on declarative policy-based
management systems as well, which is however not so widely recognized.
A decent document clarifying the origin of terms and concepts would
indeed be useful.

There are some surveys in this area ([1] as an example) and there has
been a whole series of scientific policy-based management workshops
years ago. If someone has the time and energy to write up a good
summary that is accessible to a larger community, this would be an
effort I wholeheartedly welcome.

/js

[1] http://rboutaba.cs.uwaterloo.ca/Papers/Journals/2007/Boutaba07.pdf
    (doi:10.1007/s10922-007-9083-8)

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1 | 28759 Bremen | Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Tue, 16 May 2017 14:59:49 +0200

Alex, if you want/need help or review for the IBN material,
pls let me know. You probably remember that we had a BARBOF on IBNMEO
and that I presented IBNEMO at an earlier NMRG meeting.

Bert

---

From: Alexander Clemm <[email-masked]>
Date: Tue, 16 May 2017 16:27:31 +0000

Hi Bert,

Thank you - I will take you up on that.  Let me try to take a first stab at it before I get back to you and the group.

Best
--- Alex

-----Original Message-----
From: nmrg [mailto:[email-masked]] On Behalf Of Bert Wijnen (IETF)
Sent: Tuesday, May 16, 2017 6:00 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [nmrg] Notes of the NMRG meeting @ IM 2017, May 11th 2017

Alex, if you want/need help or review for the IBN material, pls let me know. You probably remember that we had a BARBOF on IBNMEO and that I presented IBNEMO at an earlier NMRG meeting.

Bert

>    to clarify these concepts and their relationship with each other

_______________________________________________
nmrg mailing list
[email-masked]
https://www.irtf.org/mailman/listinfo/nmrg